# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2017-10-07 11:50
from __future__ import unicode_literals

from django.db import migrations


def move_hour_registrations(apps, schema_editor):
    """
    Move all ProductionEvent hours to Finances model.
    """
    ProductionEvent = apps.get_model('production', 'ProductionEvent')
    WorkLog = apps.get_model('finances', 'WorkLog')
    ContentType = apps.get_model('contenttypes', 'ContentType')
    stream_content_type = ContentType.objects.get(app_label='production', model='productionstream')

    for event in ProductionEvent.objects.filter(duration__isnull=False):
        log = WorkLog(
            user=event.noted_by.user,
            comments=event.comments,
            duration=event.duration,
            work_date=event.noted_on,
            target_content_type=stream_content_type,
            target_object_id=event.stream.id
        )
        log.save()
    return


def move_hour_registrations_inverse(apps, schema_editor):
    """
    Move all ProductionEvent hours to Finances model inversed (not implemented).
    """
    return


class Migration(migrations.Migration):

    dependencies = [
        ('finances', '0001_initial'),
        ('production', '0028_auto_20171007_1311'),
    ]

    operations = [
        migrations.RunPython(move_hour_registrations, move_hour_registrations_inverse)
    ]
