# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2017-09-30 15:59
from __future__ import unicode_literals

from django.db import migrations, models


def update_status(apps, schema_editor):
    """
    Update current Production Event type.
    """
    ProductionEvent = apps.get_model('production', 'ProductionEvent')
    for event in ProductionEvent.objects.all():
        if event.duration:
            event.event = 'registration'
        elif event.event == ['assigned_to_supervisor', 'officer_tasked_with_proof_production']:
            event.event = 'assignment'
        elif event.event in ['message_edadmin_to_supervisor', 'message_supervisor_to_edadmin', 'message_supervisor_to_officer', 'message_officer_to_supervisor']:
            event.event = 'message'
        else:
            event.event = 'status'
        event.save()
    return


def update_status_inverse(apps, schema_editor):
    """
    Inverse update current Production Event type. As this mapping is impossible to make,
    it'll just all be a unique status: `Event`
    """
    ProductionEvent = apps.get_model('production', 'ProductionEvent')
    for event in ProductionEvent.objects.all():
        event.event = 'Event'
    return


class Migration(migrations.Migration):

    dependencies = [
        ('production', '0022_auto_20170930_1756'),
    ]

    operations = [
        migrations.AlterField(
            model_name='productionevent',
            name='event',
            field=models.CharField(choices=[('assignment', 'Assignment'), ('status', 'Status change'), ('message', 'Message'), ('registration', 'Registration hours')], max_length=64),
        ),
        migrations.RunPython(update_status, update_status_inverse)
    ]
